Accounts
Get an account
One connected account and its session status.
GET/v1/accounts/{id}Free
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Required | The account_id. |
Request
curl https://api.xautodm.com/v1/accounts/acc_... \ -H "Authorization: Bearer $XAUTODM_API_KEY"
Response
Response
{
"data": {
"account": { "account_id": "acc_...", "handle": "yourbrand", "status": "active",
"needs_reconnect": false, "connect_method": "login", "created_at": "2026-10-27T10:00:00Z" }
},
"meta": { "credits_charged": 500, "credits_remaining": 49500, "request_id": "req_..." }
}Errors use one shape for every endpoint. See errors and rate limits.